Name: qpxtool
Version: 0.6.1        
Release: 10%{?dist}
Summary: CD/DVD Quality check tool

Group: Applications/System         
License: GPLv2+       
URL: http://qpxtool.sourceforge.net           
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2  
Source1: %{name}.desktop
Patch1: consolehelper.patch
Patch2: manpagefix.patch
Patch3: qpxtool-0.6.1-buildfix.patch
Patch4: qpxtool-0.6.1-fix-scsi-cmd.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: qt3-devel
BuildRequires: desktop-file-utils
BuildRequires: sed
Requires: usermode >= 1.36       

%description
QPxTool is the linux way to get full control over your CD/DVD drives.
It is the Open Source Solution which intends to give you access to all
available Quality Checks (Q-Checks) on written and blank media, that
are available for your drive. This will help you to find the right media
and the optimized writing speed for your hardware, which will increase
the chance for a long data lifetime.

%package devel
Summary: Qpxtool headers and Libraries
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Headerfiles and libraries for developing apps using the
qpx* libs.

%prep
%setup -q
%patch1 -p1 -b .consolehelper
%patch2 -p1 -b .manpagefix
%patch3 -p1 -b .buildfix
%patch4 -p0 -b .scsicmd

sed -ie 's!/usr/local!%{_prefix}!g' Makefile 
sed -ie 's!\$(PREFIX)/bin!%{_sbindir}!g' Makefile
sed -ie 's!\$(PREFIX)/lib!%{_libdir}!g' Makefile
sed -ie 's!\$(PREFIX)/man!%{_mandir}!g' Makefile
sed -ie 's!\$(PREFIX)/include!%{_includedir}!g' Makefile

%build
export CFLAGS=$RPM_OPT_FLAGS
export CXXFLAGS=$RPM_OPT_FLAGS
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps/
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
mkdir -p $RPM_BUILD_ROOT%{_bindir}

cp -p consolehelper/console.app/qpxtool $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps/
cp -p consolehelper/pam.d/qpxtool $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/
ln -s consolehelper $RPM_BUILD_ROOT%{_bindir}/qpxtool
cp -p qpxtool-gui/img/q.xpm $RPM_BUILD_ROOT%{_datadir}/pixmaps/qpxtool.xpm

desktop-file-install --vendor="fedora"               \
  --dir=${RPM_BUILD_ROOT}%{_datadir}/applications         \
  %{SOURCE1}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_bindir}/qpxtool
%{_sbindir}/qpxtool
%{_sbindir}/deadreader
%{_sbindir}/pioquiet
%{_sbindir}/pxcontrol
%{_sbindir}/pxfw
%{_libdir}/libqpxpioneer.so.0
%{_libdir}/libqpxpioneer.so.0.6.0
%{_libdir}/libqpxplextor.so.0
%{_libdir}/libqpxplextor.so.0.6.1
%{_libdir}/libqpxscan.so.0
%{_libdir}/libqpxscan.so.0.6.1
%{_libdir}/libqpxtransport.so.0
%{_libdir}/libqpxtransport.so.0.6.3
%{_mandir}/man8/pxcontrol.8.*
%{_mandir}/man8/pxfw.8.*
%{_datadir}/pixmaps/qpxtool.xpm
%{_datadir}/applications/fedora-qpxtool.desktop
%config(noreplace) %{_sysconfdir}/pam.d/qpxtool
%config(noreplace) %{_sysconfdir}/security/console.apps/qpxtool
%doc COPYING AUTHORS README ChangeLog

%files devel
%defattr(-,root,root,-)
%{_includedir}/*.h
%{_libdir}/libqpxpioneer.so
%{_libdir}/libqpxplextor.so
%{_libdir}/libqpxscan.so
%{_libdir}/libqpxtransport.so

%changelog
* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Apr 06 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.6.1-9
- Replace scsi cmd fix with upstream version

* Sun Mar 23 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.6.1-8
- Don't use too short scsi cmd lengths (RH #428281)

* Fri Feb 08 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.6.1-7
- Rebuild for gcc-4.3

* Thu Oct 17 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.6.1-6
- Drop libata patch - no longer needed with fixed udev

* Sat Sep 22 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.6.1-5
- Fix desktop file category

* Sat Sep 22 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.6.1-4
- Clean up desktop file
- Fix Source0 URL

* Sat Sep 22 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.6.1-3
- Fix build failure

* Sun Sep 09 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.6.1-2
- Spec file cleanups
- Preserve manpage timestamps

* Sat Sep 08 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.6.1-1
- Inital build

